libzypp: zypp::PublicSubkeyData Class Reference

libzypp 17.38.5

zypp::PublicSubkeyData Class Reference

Class representing a GPG Public Keys subkeys. More...

`#include <zypp-common/PublicKey.h>`

## Classes
class | Impl
| PublicSubkeyData implementation. More...

## Public Member Functions
| PublicSubkeyData ()
| Default constructed: empty data.
| ~PublicSubkeyData ()
| operator bool () const
| Whether this contains valid data (not default constructed).
std::string | id () const
| Subkey ID.
Date | created () const
| Creation date.
Date | expires () const
| Expiry date, or `Date()` if the key never expires.
bool | expired () const
| Whether the key has expired.
int | daysToLive () const
| Number of days (24h) until the key expires (or since it exired).
std::string | asString () const
| Simple string representation.

## Private Member Functions
| PublicSubkeyData (const _gpgme_subkey *rawSubKeyData)

## Private Attributes
RWCOW_pointer< Impl > | _pimpl

## Friends
class | PublicKeyData
std::ostream & | dumpOn (std::ostream &str, const PublicKeyData &obj)

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const PublicSubkeyData &obj)
| Stream output.

## Detailed Description

Class representing a GPG Public Keys subkeys.

See also
  PublicKeyData.

Definition at line 79 of file PublicKey.h.

## Constructor & Destructor Documentation

## ◆ PublicSubkeyData() [1/2]

zypp::PublicSubkeyData::PublicSubkeyData | ( |  | ) |

Default constructed: empty data.

class PublicSubkeyData

Definition at line 163 of file PublicKey.cc.

## ◆ ~PublicSubkeyData()

zypp::PublicSubkeyData::~PublicSubkeyData | ( |  | ) |

Definition at line 175 of file PublicKey.cc.

## ◆ PublicSubkeyData() [2/2]

zypp::PublicSubkeyData::PublicSubkeyData | ( | const _gpgme_subkey * | rawSubKeyData | ) |
| private

Definition at line 167 of file PublicKey.cc.

## Member Function Documentation

## ◆ operator bool()

zypp::PublicSubkeyData::operator bool | ( |  | ) | const
| explicit

Whether this contains valid data (not default constructed).

Definition at line 178 of file PublicKey.cc.

## ◆ id()

std::string zypp::PublicSubkeyData::id | ( |  | ) | const

Subkey ID.

Definition at line 181 of file PublicKey.cc.

## ◆ created()

Date zypp::PublicSubkeyData::created | ( |  | ) | const

Creation date.

Definition at line 184 of file PublicKey.cc.

## ◆ expires()

Date zypp::PublicSubkeyData::expires | ( |  | ) | const

Expiry date, or `Date()` if the key never expires.

Definition at line 187 of file PublicKey.cc.

## ◆ expired()

bool zypp::PublicSubkeyData::expired | ( |  | ) | const

Whether the key has expired.

Definition at line 190 of file PublicKey.cc.

## ◆ daysToLive()

int zypp::PublicSubkeyData::daysToLive | ( |  | ) | const

Number of days (24h) until the key expires (or since it exired).

A value of `0` means the key will expire within the next 24h. Negative values indicate the key has expired less than `N` days ago. For keys without expiration date `INT_MAX` is returned.

Definition at line 193 of file PublicKey.cc.

## ◆ asString()

std::string zypp::PublicSubkeyData::asString | ( |  | ) | const

Simple string representation.

Encodes id, created and expires

640DB551 2016-04-12 [expires: 2019-04-12]
zypp::PublicSubkeyData::expires
Date expires() const
Expiry date, or Date() if the key never expires.
Definition PublicKey.cc:187

Definition at line 196 of file PublicKey.cc.

## Friends And Related Symbol Documentation

## ◆ PublicKeyData

friend class PublicKeyData
| friend

Definition at line 121 of file PublicKey.h.

## ◆ dumpOn

std::ostream & dumpOn | ( | std::ostream & | str,
|  | const PublicKeyData & | obj )
| friend

Definition at line 483 of file PublicKey.cc.

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const PublicSubkeyData & | obj )
| related

Stream output.

Definition at line 128 of file PublicKey.h.

## Member Data Documentation

## ◆ _pimpl

RWCOW_pointer<Impl> zypp::PublicSubkeyData::_pimpl
| private

Definition at line 120 of file PublicKey.h.

The documentation for this class was generated from the following files:

- zypp-common/PublicKey.h
- zypp-common/PublicKey.cc